package com.ruoyi.ss.city.service;

import com.ruoyi.ss.city.domain.CityCode;

import java.util.List;

/**
 * 城市区号Service接口
 *
 * @author qzz
 * @date 2024-09-19
 */
public interface ICityCodeService
{
    /**
     * 查询城市区号
     *
     * @param code 城市区号
     * @return 城市区号
     */
    public CityCode selectRlCityCodeByCode(String code);

    /**
     * 查询城市区号列表
     *
     * @param rlCityCode 城市区号
     * @return 城市区号集合
     */
    public List<CityCode> selectRlCityCodeList(CityCode rlCityCode);

    /**
     * 新增城市区号
     *
     * @param rlCityCode 城市区号
     * @return 结果
     */
    public int insertRlCityCode(CityCode rlCityCode);

    /**
     * 修改城市区号
     *
     * @param rlCityCode 城市区号
     * @return 结果
     */
    public int updateRlCityCode(CityCode rlCityCode);

    /**
     * 批量删除城市区号
     *
     * @param codeIds 需要删除的城市区号主键集合
     * @return 结果
     */
    public int deleteRlCityCodeByCodeIds(Long[] codeIds);

    /**
     * 删除城市区号信息
     *
     * @param codeId 城市区号主键
     * @return 结果
     */
    public int deleteRlCityCodeByCodeId(Long codeId);
}
